#!/usr/bin/perl -n -w
#######
#
# output fonts.alias data given fonts.scale data as input
# 
#######

use strict;

# Remove carriage newline/return
chomp;

# Grab the curent line
my @tmp = split " ", $_;

# Remove ttf file reference
shift(@tmp);

# Build initial (scalar/string) font-entries for left and right side of alias
my $left = join " ", @tmp;
my $right = join " ", @tmp;

# Transform left into proper alias
$left =~ s/-Lucida Bright-bold-/-lucidabright-demibold-/g;
$left =~ s/-Lucida Bright-/-lucidabright-/g;
$left =~ s/-Lucida Sans Typewriter-/-lucidatypewriter-/g;
$left =~ s/-Lucida Sans-/-lucidasans-/g;

# print alias entry only if left was modified by transform. 
if ( "$left" ne "$right" ) {
	print "\"", $left, "\"", "\t", "\"", $right, "\"", "\n";
}


